repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.0.1
  hooks:
    - id: end-of-file-fixer
    - id: trailing-whitespace
- repo: https://github.com/antonbabenko/pre-commit-terraform
  rev: v1.52.0
  hooks:
    - id: terraform_fmt
      args: ['args=-recursive']
    - id: terraform_docs
      args: ['args=-recursive']
#    - id: terraform_validate
#      args: ['args=format json,no-color']
    - id: terraform_tflint
      args: ['args=deep']
